<template>
    <input
        v-model="ctx.model"
        :type="type"
        v-bind="attributes"
        v-on="$listeners"
        class="InputText"
    />
</template>

<script>
import VumikInputMixin from '../VumikInputMixin'

export default {
  name: 'VumikInputText',
  mixins: [VumikInputMixin]
}
</script>

<style lang="postcss" scoped>
.InputText {
  @apply appearance-none block w-full px-3 py-2 border border-gray-300 rounded-md shadow-sm focus:ring-yellow-500 focus:border-yellow-500;
}

.InputText:focus {
  @apply outline-none;
}

@screen sm {
  .InputText {
    @apply text-sm;
  }
}
</style>
